import { Logger } from '../logger/Logger';
import { ConfigPreset, NodeAccount, NodePreset } from '../model';
declare type VotingParams = {
    target: string;
    user: string;
};
export declare class VotingService {
    private readonly logger;
    protected readonly params: VotingParams;
    constructor(logger: Logger, params: VotingParams);
    run(presetData: ConfigPreset, nodeAccount: NodeAccount, nodePreset: NodePreset, currentNetworkEpoch: number | undefined, updateVotingKey: boolean | undefined, nemesisBlock: boolean): Promise<boolean>;
}
export {};
